#!/usr/bin/env python3

# Parses and inventories phones.

# XXX for the inventory plugin, if mac/serial/model is None, do not update the inventory
# XXX for checkmk, add a last_seen. If last_seen is older than six months, remove it.

import json
from cmk.base.plugins.agent_based.agent_based_api.v1 import register, TableRow


# Convert JSON entries into dictionaries indexed by name.
def parse_cucm(string_table):
    lookup = {}

    for row in string_table:
        phone = json.loads(row[0])
        name = phone["name"]
        lookup[name] = phone

    return lookup


# Produce a table of all phones parsed earlier.
def inventory_cucm(section):
    path = ["phones"]
    for name, details in sorted(section.items()):
        details.pop("name")
        yield TableRow(
            path=path,
            key_columns={"name": name},
            inventory_columns=details
        )


register.agent_section(
    name="cucm_inv",
    parse_function=parse_cucm
)

register.inventory_plugin(
    name="cucm_inv",
    inventory_function=inventory_cucm,
)
