#!/usr/bin/env python3
#
# GUI config page for triton_wedge.

from cmk.gui.i18n import _
from cmk.gui.plugins.wato.utils import (
    rulespec_registry,
    HostRulespec,
    RulespecGroupCheckParametersHardware
)
from cmk.gui.watolib.rulespecs import Rulespec
from cmk.gui.valuespec import (
    Dictionary,
    Hostname,
)


def _valuespec_special_agents_triton_wedge():
    return Dictionary(
        title=_("Triton Wedge Detection"),
        help=_(""),
        elements=[
            (
                "instance",
                Hostname(
                    title=_("Hostname"),
                    help=_("Hostname or IP of NAPI to query"),
                    allow_empty=False,
                ),
            ),
        ],
    )


rulespec_registry.register(
    HostRulespec(
        factory_default=Rulespec.FACTORY_DEFAULT_UNUSED,
        name="special_agents:triton_wedge",
        group=RulespecGroupCheckParametersHardware,
        valuespec=_valuespec_special_agents_triton_wedge,
    )
)
